<template>
  <header>
    <v-layout id="navbar">
      <a href="#default" id="logo"></a>
      <v-layout id="navbar-link">
        <router-link to="/">Home</router-link>
        <router-link  to="/societies">Societies</router-link>
        <router-link to="/leaderboard">LeaderBoard</router-link>
        <router-link v-if="!user" to="/started">Getting Started</router-link>
            
         
        <v-menu v-if="!user" offset-x :close-on-content-click="false">
          <template v-slot:activator="{ on }">
            <v-btn color="info" v-on="on">
              <v-icon large color=" darken-2">person</v-icon>Log in
            </v-btn>
          </template>
                             
          <v-card >
            <login-vue></login-vue>
          </v-card>
        </v-menu>
        <v-menu v-if="user" offset-y >
          <template v-slot:activator="{ on }">
              
          
            <v-btn color="primary" dark v-on="on">Mon Compte</v-btn>
          </template>
          <v-list>
            <v-list-tile>
              <v-btn v-if="user" color="info">
                <v-icon large color=" darken-2">person</v-icon>Mon Profile
              </v-btn>
            </v-list-tile>
            <v-list-tile>
              <v-btn v-if="user" @click="logout()" color="warning">
                <v-icon large color=" darken-2">input</v-icon>Log out
              </v-btn>
            </v-list-tile>
          </v-list>
        </v-menu>
      </v-layout>
    </v-layout>
  </header>
</template>

<script>
import LoginVue from "./Login.vue";
export default {
  components: {
    LoginVue
  },

  
  computed: {
    /**
     * On assigne à notre component une valeur qui
     * vient directement du store en passant
     * par une computed property
     */
    user() {
      return this.$store.state.user;
    }
  },
  methods: {
    login() {
      //On déclenche l'action du store qui permettra de se connecter
      //(on ne peut dispatch que les noms de méthodes existant dans les actions du store)
      this.$store.dispatch("login", {
        username: this.email,
        password: this.password
      });
    },
    logout() {
      //on déclenche une action du store pour se déconnecter
      this.$store.dispatch("logout");
    }
  }
};

window.onscroll = function() {
  scrollFunction();
};

function scrollFunction() {
  if (document.body.scrollTop > 80 || document.documentElement.scrollTop > 80) {
    document.querySelector("#navbar").style.padding = "10px";
    document.querySelector("#logo").style.fontSize = "20px";
    document.querySelector("#navbar").style.backgroundColor = "white";
    document.querySelector("#navbar").style.boxShadow = "0 8px 6px -6px black";
  } else {
    document.querySelector("#navbar").style.padding = "50px";
    document.querySelector("#logo").style.fontSize = "35px";
    document.querySelector("#navbar").style.backgroundColor = "transparent";
    document.querySelector("#navbar").style.boxShadow = "none";
  }
}
</script>

<style>
* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;

}

#navbar {
  position: fixed;
  background-color: transparent;
  transition: 0.4s;
  padding: 50px;
  left: 0;
  width: 100%;
  top: 0;
  z-index: 99;
}

#navbar a {
  /* float: left; */

  color: black;
  padding: 12px;
  text-decoration: none;
  font-size: 18px;
  line-height: 25px;
  border-radius: 4px;
}

#navbar #logo {
  display: block;
  margin-left: auto;
  margin-right: auto;
  font-size: 35px;
  font-weight: bold;
  transition: 0.4s;
}

#navbar a:hover {
  background-color: #ddd;
  color: black;
}

#navbar a.active {
  background-color: dodgerblue;
  color: rgb(241, 19, 19);
}

#navbar-link {
  display: flex;
  justify-content: center;
}
#responsiveNav {
  display: none;
}
@media screen and (max-width: 640px) {
  #navbar {
    display: none;
  }
  #responsiveNav {
    display: block;
    height: 10%;
  }
html {
  margin-top: 0 !important;
}
}
</style>
